Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZUser Member List

This is the complete list of members for eZUser, including all inherited members.

$AccountNumber | eZUser |
$CookieLogin | eZUser |
$Email | eZUser |
$FirstName | eZUser |
$GroupString | eZUser |
$HasRoot | eZUser |
$ID | eZUser |
$InfoSubscription | eZUser |
$LastName | eZUser |
$Login | eZUser |
$Password | eZUser |
$Signature | eZUser |
$SimultaneousLogins | eZUser |
$StoredTimeout | eZUser |
__construct( $id=-1) | eZUser |
accountNumber() | eZUser |
addAddress( $address) | eZUser |
addresses( $id=false, $as_object=true) | eZUser |
addTrustee( $user) | eZUser |
autoCookieLogin( $hash) | eZUser | static
clearAutoCookieLogin() | eZUser | static
cookieLogin() | eZUser |
currentUser() | eZUser | static
currentUsers() | eZUser | static
delete() | eZUser |
email() | eZUser |
exists( $login) | eZUser | static
fill(&$user_array) | eZUser |
firstName( $html=true) | eZUser |
get( $id=-1) | eZUser |
getAll( $order="Login", $as_object=true, $search=false, $max=-1, $index=0) | eZUser | static
getAllCount( $search=false) | eZUser | static
getByTrustee( $id=-1, $as_object=false) | eZUser |
getLogins( $userId) | eZUser |
getUser( $login) | eZUser | static
getUserByEmail( $email) | eZUser |
getUsersByEmail( $email, $as_object=true) | eZUser |
groupDefinition( $as_object=false) | eZUser |
groups( $as_object=true) | eZUser |
groupString() | eZUser |
hasRootAccess() | eZUser |
id() | eZUser |
infoSubscription() | eZUser |
lastName( $html=true) | eZUser |
login( $html=true) | eZUser |
loginUser(&$user) | eZUser | static
logout() | eZUser | static
mainAddress( $as_object=true) | eZUser |
name() | eZUser |
namedEmail() | eZUser |
removeAddress( $address) | eZUser |
removeAddresses( $id=false) | eZUser |
removeGroups() | eZUser |
removeTrustee( $user) | eZUser |
search( $queryText, $order=false, $LastName="", $FirstName="", $EMail="", $Login="", $match="AND") | eZUser |
setAccountNumber( $value) | eZUser |
setCookieLogin( $value) | eZUser |
setCookieValues() | eZUser |
setEmail( $value) | eZUser |
setFirstName( $value) | eZUser |
setGroupDefinition( $group) | eZUser |
setInfoSubscription( $value) | eZUser |
setLastName( $value) | eZUser |
setLogin( $value) | eZUser |
setPassword( $value) | eZUser |
setSignature( $value) | eZUser |
setSimultaneousLogins( $value) | eZUser |
signature() | eZUser |
simultaneousLogins() | eZUser |
store() | eZUser |
timeoutValue() | eZUser |
trustees( $id=-1, $as_object=false) | eZUser |
validateUser( $login, $password) | eZUser |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.